summaryrefslogtreecommitdiffstats
path: root/mkballots.sh
diff options
context:
space:
mode:
authorH. Peter Anvin <hpa@zytor.com>2016-11-01 16:11:31 -0600
committerH. Peter Anvin <hpa@zytor.com>2016-11-01 16:11:31 -0600
commit82fa67e063d1f4b325e7c123074275ae6098fd83 (patch)
tree27aa17880de6d75ef01a90d6e0b0af6010da0e91 /mkballots.sh
parent95afced55cab373e4e534a9499ed59ba788aa574 (diff)
downloadballot-82fa67e063d1f4b325e7c123074275ae6098fd83.tar.gz
ballot-82fa67e063d1f4b325e7c123074275ae6098fd83.tar.xz
ballot-82fa67e063d1f4b325e7c123074275ae6098fd83.zip
mkballots.sh, score.sh: scripts for before and after
Diffstat (limited to 'mkballots.sh')
-rwxr-xr-xmkballots.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/mkballots.sh b/mkballots.sh
new file mode 100755
index 0000000..5234c37
--- /dev/null
+++ b/mkballots.sh
@@ -0,0 +1,19 @@
+#!/bin/bash -x
+# Usage: $0 numballots [prefix]
+export PATH=$(realpath -s $(dirname "$0"))/bin:"$PATH"
+if [ -z "$1" ]; then
+ set +x
+ echo "Usage: $0 numballots [prefix]" 1>&2
+ exit 1
+fi
+proj=tab2016
+sdaps="sdaps $proj"
+ids=$proj/id.list
+rm -rf "$proj"
+$sdaps setup_tex "$proj".tex
+genids.pl "$@" > "$ids"
+$sdaps stamp -f "$ids"
+scoresheet.pl "$proj" > "$proj"/scoresheet.tex
+( cd "$proj" && ( pdflatex scoresheet.tex ; pdflatex scoresheet.tex ) )
+
+